santorinNONJIT2d;
santorinJIT2d;

hold off;
plot(dsizeSNJ2, avgtimeSNJ2./avgtimeASNJ2);
title('Rsf Speedup: convi on Santorin withOUT JIT compilation (5x5 filter)');
xlabel('size of one data dimension');
ylabel('speed-up (old rsf)/(new rsf)');

figure;
hold on;
plot(dsizeSNJ2, avgtimeSNJ2,'-');
plot(dsizeSNJ2, avgtimeASNJ2,'--');
title('Rsf times: convi on Santorin withOUT JIT compilation (5x5 filter)');
xlabel('size of one data dimension');
ylabel('time (msec)');

figure;
plot(dsizeSJ2, avgtimeSJ2./avgtimeASJ2);
title('Rsf Speedup: convi on Santorin WITH JIT compilation (5x5 filter)');
xlabel('size of one data dimension');
ylabel('time (old rsf) / time (new rsf)');

figure;
hold on;
plot(dsizeSJ2, avgtimeSJ2,'-');
plot(dsizeSJ2, avgtimeASJ2,'--');
title('Rsf times: convi on Santorin WITH JIT compilation (5x5 filter)');
xlabel('size of one data dimension');
ylabel('time (msec)');

figure;
hold on;
plot(dsizeSNJ2,avgtimeSNJ2,'-');
plot(dsizeSNJ2,avgtimeASNJ2,'--');
plot(dsizeSNJ2,avgtimeSJ2,'r-');
plot(dsizeSNJ2,avgtimeASJ2,'r--');
title('Speedup: convi on Santorin with/without JIT compilation (5x5 filter)');
xlabel('size of one data dimension');
ylabel('time (msec)');

figure;
hold on;
plot(dsizeSNJ2, avgtimeSNJ2./avgtimeSJ2,'-');
plot(dsizeSNJ2, avgtimeASNJ2./avgtimeASJ2,'--');
title('Speedup: convi on Santorin with/without JIT compilation (5x5 filter)');
xlabel('size of one data dimension');
ylabel('time (no JIT)/ time (JIT)');

figure(1);
print -dps '../Fig/san2d1.ps'
figure(2);
print -dps '../Fig/san2d2.ps'
figure(3);
print -dps '../Fig/san2d3.ps'
figure(4);
print -dps '../Fig/san2d4.ps'
figure(5);
print -dps '../Fig/san2d5.ps'
figure(6);
print -dps '../Fig/san2d6.ps'
