package conv.convi;

import 	 jam.vector.*;
import 	 jam.operator.*;
import 	 rsf.vector.*;
import juice.operator.MatrixRep;
import juice.util.Tester;

public class MatrixRepTest {
  public static void main(String[] args) {
    RsfSpace dataSpace = new RsfSpace(10);
    RsfSpace filtSpace = new RsfSpace(4);

    Rsf filt = RsfFactory.newRsf(filtSpace);
    filt.rand();

    Icai myIcai = new IcaiFactory(filt).getIcaiFromInputSpace(dataSpace);

    MatrixRep A = new MatrixRep(myIcai);
    System.out.println("ICAI = " + A.toStringMatlab());
  }
}
